Bug 615901 - oracle-xe selinux denials
Summary: oracle-xe selinux denials
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server   
(Show other bugs)
Version: 1.1
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Jan Pazdziora
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: space11
TreeView+ depends on / blocked
 
Reported: 2010-07-19 08:51 UTC by Milan Zázrivec
Modified: 2010-08-19 08:24 UTC (History)
0 users

Fixed In Version: oracle-xe-selinux-10.2-17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-19 08:24:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Milan Zázrivec 2010-07-19 08:51:44 UTC
Description of problem:
Oracle-XE on RHEL-5, Spacewalk 11:
# grep denied /var/log/audit/audit.log
type=AVC msg=audit(1279527867.515:9): avc:  denied  { read write } for  pid=1136 comm="tnslsnr" path="/dev/console" dev=tmpfs ino=564 scontext=system_u:system_r:oracle_tnslsnr_t:s0 tcontext=system_u:object_r:console_device_t:s0 tclass=chr_file
type=AVC msg=audit(1279527868.375:16): avc:  denied  { read write } for  pid=1139 comm="oracle" path="/dev/console" dev=tmpfs ino=564 scontext=system_u:system_r:oracle_db_t:s0 tcontext=system_u:object_r:console_device_t:s0 tclass=chr_file
type=AVC msg=audit(1279527871.872:17): avc:  denied  { ioctl } for  pid=1139 comm="oracle" path="/dev/console" dev=tmpfs ino=564 scontext=system_u:system_r:oracle_db_t:s0 tcontext=system_u:object_r:console_device_t:s0 tclass=chr_file

Version-Release number of selected component (if applicable):
oracle-xe-selinux-10.2-16.el5
oracle-xe-univ-10.2.0.1-1.0

How reproducible:
Always in SELinux permissive

Steps to Reproduce:
1. Install RHEL-5, selinux permissive
2. Setup Spacewalk 1.1 repos
3. Install Oracle-XE according to instructions on Spacewalk trac
  
Actual results:
SELinux denials.

Expected results:
No denials.

Additional info:
This denial shows only in permissive mode, in enforcing the audit.log
is clear.

Comment 1 Jan Pazdziora 2010-07-19 14:25:11 UTC
Fixed in Spacewalk master, 63f722f136738031d811004b5827e9a93fcea105, oracle-xe-selinux-10.2-17.

Comment 2 Jan Pazdziora 2010-07-26 07:32:51 UTC
The package is in Spacewalk nightly repo.

Comment 3 Milan Zázrivec 2010-08-19 08:24:58 UTC
Spacewalk 1.1 has been released.


Note You need to log in before you can comment on or make changes to this bug.